Retrieve recipient forms for base MatchMove user demographic details
Field Behavior Guide
Fields in the form can have either values_supported or validation, but never both together.
If values_supported is present, the field must be treated as a selectable input (e.g., dropdown), and only listed codes are accepted by the system.
If validation is present, the field accepts user input, and the client is expected to enforce any combination of min_length, max_length, or regex constraints.
Required fields are clearly marked with is_mandatory: true in the response schema.
Fields marked with "is_editable": true are allowed to be updated using the PUT /recipients/{id} endpoint.
Exception: For the bank_id field, valid values are treated as an enumeration list retrieved from the Receiving Institution List endpoint. Clients must use this endpoint to obtain the supported bank identifications.
These validations are subject to enhancement over time. Only confirmed rules are currently exposed to minimize false rejections.
Header Parameters
X-Auth-User-IDstring Required
MatchMove provided ID for the user.
Authorizationstring
Query Parameters
recipient_countrystring Required
Country of recipient in ISO3166_alpha3 format
recipient_typestring Required
Type of recipient
Enum values:
INDIVIDUALBUSINESS
payment_railstring
Type of payment rail
Enum values:
LOCALSWIFT
Response
200
Object
OK
Response Attributes
versionstring
Represents the current active version of recipient form.
recipient_formarray
Group object's fields list
Show child attributes
400
Object
Bad Request
| **Code** | **Title** | **Detail** |
| ---------------------------------------------------------- | -------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| invalid_user_id | Invalid User ID | User does not exist. Please provide a valid user id. |
| invalid_query_param | Invalid Query Parameter | Invalid query parameters. |
| | | Selected combinations country, user type, and recipient type is invalid. Please check and try again. |
| | | Selected combinations country, user type, and recipient type is disabled. Please check with site administrator. |
Response Attributes
idstring Required
Unique hash-id for the error message
statusinteger Required
Error response status code
codestring Required
Error response code
titlestring Required
Error response title
detailstring Required
Error response detail
sourcearray,string
Source defines the multiple error messages
Show child attributes
timestampstring Required
Response timestamp
401
Object
Unauthorized Request
| **Code** | **Title** | **Detail** |
| ---------------------------| ----------------------| ---------------------------------------------------|
| token_required | Token Required | Access denied due to invalid token on header. |
| invalid_tenant | Invalid Tenant | Access denied due to invalid tenant code. |
Response Attributes
idstring Required
Unique hash-id for the error message
statusinteger Required
Error response status code
codestring Required
Error response code
titlestring Required
Error response title
detailstring Required
Error response detail
sourcearray,string
Source defines the multiple error messages
Show child attributes
timestampstring Required
Response timestamp
403
Object
Forbidden
| **Code** | **Title** | **Detail** |
| ---------------------------------------------------------- | -------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| restricted_resource | Restricted Resource | Access denied to the resource. If your access key and source IP is correct, it would be because of `X-Auth-User-ID` is not passed on header. |
Response Attributes
idstring Required
Unique hash-id for the error message
statusinteger Required
Error response status code
codestring Required
Error response code
titlestring Required
Error response title
detailstring Required
Error response detail
sourcearray,string
Source defines the multiple error messages
Show child attributes
timestampstring Required
Response timestamp
404
Object
Not Found
| **Code** | **Title** | **Detail** |
| --------------------------| ---------------------- | -------------------------------------|
| resource_not_found | Resource Not Found | The requested URL was not found. |